/* 
**  mod_clamav.c -- Apache module to virus check everything returned to clients
**
**  (c) 2003-2009 Dr. Andreas Mueller, Beratung und Entwicklung
**
**  This module is distributed under the GNU General Public License (GPL).
**  See the file COPYING for details.
**
**  $Id: mod_clamav.c,v 1.23 2009/04/10 23:37:28 afm Exp $
*/ 
#include <mod_clamav.h>

static void mod_clamav_register_hooks(apr_pool_t *p)
{
    ap_hook_handler(mod_clamav_handler, NULL, NULL, APR_HOOK_MIDDLE);
    ap_register_output_filter("CLAMAV", mod_clamav_filter, NULL,
	AP_FTYPE_CONTENT_SET);
} /* clamav_register_hooks */

/* Dispatch list for API hooks */
module AP_MODULE_DECLARE_DATA clamav_module = {
    STANDARD20_MODULE_STUFF, 
    mod_clamav_create_dir_config,
                           /* create per-dir    config structures */
    mod_clamav_merge_dir_config,
                           /* merge  per-dir    config structures */
    NULL,                  /* create per-server config structures */
    NULL,                  /* merge  per-server config structures */
    mod_clamav_cmds,       /* table of config file commands       */
    mod_clamav_register_hooks 
                           /* register hooks                      */
};

